FAQ

What are the technical prerequisites for using the Universign Web interface? What software do I need?

Regardless of what operating system you are using, the Universign Web interface runs in Internet Explorer (version 6 or later), Firefox (version 2 or later), and the most recent releases of Chrome, Safari and Opera.
We strongly recommend you install the Java Virtual Machine version 6 or later, in order to benefit more fully from the rich Universign interface. If you do not already have the JVM installed, you can download it from Java.com.
Using the Universign Web service APIs, you can also directly integrate timestamping in your applications. To find out more about visit Universign Web services